Bug 595998 - yum erase: wants to remove dependencies: specific to openldap package
yum erase: wants to remove dependencies: specific to openldap package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 01:36 EDT by Brian LaVallee
Modified: 2014-01-21 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 09:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian LaVallee 2010-05-26 01:36:39 EDT
Description of problem:

Using yum to erase a package (openldap) attempts to erase all of the dependencies.

Example: 'yum erase openldap'

Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package openldap.i686 0:2.4.21-4.fc13 set to be erased
--> Processing Dependency: liblber-2.4.so.2 for package: 1:quota-3.17-9.fc13.i686
--> Processing Dependency: liblber-2.4.so.2 for package: openldap-clients-2.4.21-4.fc13.i686
--> Processing Dependency: liblber-2.4.so.2 for package: GConf2-2.28.1-1.fc13.i686
--> Processing Dependency: liblber-2.4.so.2 for package: php-ldap-5.3.2-2.fc13.i686
....
SNIP
....
---> Package crontabs.noarch 0:1.10-32.fc13 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================
 Package                                     Arch             Version                             Repository            Size
=============================================================================================================================
Removing:
 openldap                                    i686             2.4.21-4.fc13                       @fedora              692 k
Removing for dependencies:
 GConf2                                      i686             2.28.1-1.fc13                       @fedora              5.9 M
 PackageKit                                  i686             0.6.4-1.fc13                        @updates             2.4 M
....
SNIP
....
 usermode                                    i686             1.104.2-1.fc13                      @fedora              785 k
 yum                                         noarch           3.2.27-4.fc13                       @fedora              3.8 M
 yum-plugin-fastestmirror                    noarch           1.1.26-7.fc13                       @updates              33 k
 yum-presto                                  noarch           0.6.2-1.fc13                        @fedora               64 k
 yum-utils                                   noarch           1.1.26-7.fc13                       @updates             236 k

Transaction Summary
=============================================================================================================================
Remove       97 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Is this ok [y/N]: n

Version-Release number of selected component (if applicable):

Linux pleco 2.6.33.4-95.fc13.i686.PAE #1 SMP Thu May 13 05:38:26 UTC 2010 i686 i686 i386 GNU/Linux

[root@pleco lib]# yum --version
3.2.27
  Installed: rpm-4.8.0-14.fc13.i686 at 2010-05-26 01:40
  Built    : Fedora Project at 2010-04-23 11:25
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2010-04-23

  Installed: yum-3.2.27-4.fc13.noarch at 2010-05-26 01:45
  Built    : Fedora Project at 2010-05-03 15:53
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2010-05-03

  Installed: yum-plugin-fastestmirror-1.1.26-7.fc13.noarch at 2010-05-26 01:46
  Built    : Fedora Project at 2010-05-17 14:10
  Committed: James Antill <james@fedoraproject.org> at 2010-04-17

How reproducible:

Does not happen other packages.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 seth vidal 2010-05-26 09:20:08 EDT
This is how yum works - if you remove a pkg - any pkg that depend on it will also be removed.

lots of things depend on openldap.

Note You need to log in before you can comment on or make changes to this bug.